Incompatible ATS & ETS2 version

American Truck Simulator and Euro Truck Simulator 2 were just updated to version 1.44!
We do not support this update yet, but fortunately it is possible to downgrade to 1.43.

For information on downgrading your game, please click here

Event Description

Location Other (---)
Destination Other (---)
Main Language French

DLCs Requirements


Event Information


Attending (3)

User
Ulog
1 day ago
User
Chaturno
2 days ago
User
jason76
3 days ago

Unsure (0)